# norootforbuild

%define kdeprefix		/opt/kde3

Name:			clamtk
Version:		4.12
%define clamtk_kde_version 0.13
Release:		0
Summary:		GUI for the ClamAV Antivirus
Source:			http://prdownloads.sourceforge.net/clamtk/clamtk-%{version}.tar.gz
Source1:		http://prdownloads.sourceforge.net/clamtk/clamtk-kde-%{clamtk_kde_version}.tar.gz
URL:			http://clamtk.sourceforge.net/
Group:			Productivity/Security
License:		Perl License
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
Requires:		clamav >= 0.88
Requires:		clamav-db
Requires:		perl perl-File-Find-Rule perl-libwww-perl perl-Date-Calc
Requires:		perl-Gtk2 perl-Glib perl-gettext perl-Config-Tiny
Requires:       perl-Net-DNS
BuildRequires:	perl update-desktop-files kdebase3
BuildArch:		noarch

%description
ClamTk is a GUI front-end for ClamAV using Gtk2-perl.
It is designed to be an easy-to-use, point and click virus scanner.




Authors:
--------
    Dave M. <dave.nerd@gmail.com>

%package kde3
Summary:		KDE 3 Konqueror Integration for %{name}
Group:          System/GUI/KDE
Requires:       %{name} = %{version}-%{release}
Requires:       kdebase3
# for backwards compatibility/upgrading:
Provides:       clamtk-kde = %{version}-%{release}
Obsoletes:      clamtk-kde

%description kde3
This subpackage contains KDE3 Konqueror integration for clamtk, a
GUI frontend for scanning with the opensource ClamAV antivirus.

By installing this package, a context menu item is provided in
(KDE3) Konqueror in order to scan a directory recursively, or a
single file.

%prep
%setup -q -a 1

%build
%__gzip -dc clamtk.1.gz > clamtk.1
%__rm clamtk.1.gz

%install
%__install -D -m 0755 clamtk "%{buildroot}%{_bindir}/clamtk"
%__install -D -m 0644 clamtk.png "%{buildroot}%{_datadir}/pixmaps/clamtk.png"
%__install -D -m 0644 clamtk.desktop "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%__install -D -m 0644 clamtk.1 "%{buildroot}%{_mandir}/man1/clamtk.1"

# use /usr/lib, not %{_libdir}:
%__install -d "%{buildroot}%{_prefix}/lib/ClamTk"
%__install -m0644 lib/*.pm "%{buildroot}%{_prefix}/lib/ClamTk/"

pushd po
for mo in *.mo; do
	lang="${mo%%.mo}"
	%__install -D -m 0644 "${mo}" "%{buildroot}%{_datadir}/locale/${lang}/LC_MESSAGES/%{name}.mo"
done
popd #po

pushd "clamtk-kde-%{clamtk_kde_version}"
%__install -D -m 0644 clamtk-kde.desktop "%{buildroot}%{kdeprefix}/share/apps/konqueror/servicemenus/%{name}-kde.desktop"
%__install -D -m 0644 clamtk-kde.xpm "%{buildroot}%{_datadir}/pixmaps/%{name}-kde.xpm"
popd #clamtk-kde

%suse_update_desktop_file -r "%{name}" System Security

%find_lang "%{name}"

%clean
%__rm -rf "%{buildroot}"

%files -f "%{name}.lang"
%doc CHANGES DISCLAIMER LICENSE README
%{_bindir}/clamtk
%{_prefix}/lib/ClamTk
%{_datadir}/pixmaps/clamtk.png
%{_datadir}/applications/%{name}.desktop
%doc %{_mandir}/man1/clamtk.1*

%files kde3
%defattr(-,root,root)
%{_datadir}/pixmaps/clamtk-kde.xpm
%{kdeprefix}/share/apps/konqueror/servicemenus/%{name}-kde.desktop

%changelog
* Sun Apr 26 2009 Pascal Bleser <pascal.bleser@opensuse.org> 4.12
- update to 4.12:
  * this release adds Turkish language support and updates the French,
    Brazilian, and Spanish language files
  * additionally, there are a few minor dependency changes
- clamtk-kde updated to 0.13
- moved clamtk-kde into its own subpackage (clamtk-kde3)

* Sun Mar 22 2009 Pascal Bleser <pascal.bleser@opensuse.org> 4.11
- update to 4.11:
  * adds support for Slovak
  * updates translations for French, Korean and Spanish

* Thu Feb 19 2009 Pascal Bleser <guru@unixtech.be> 4.10
- update to 4.10:
  * fixes a situation where signatures were not accurately counted
  * some patches were re-added

* Sun Feb 15 2009 Pascal Bleser <guru@unixtech.be> 4.09
- update to 4.09:
  * updated language files
  * one minor bugfix related to language display

* Sun Dec 28 2008 Pascal Bleser <guru@unixtech.be> 4.08
- update to 4.08:
  * minor bugfixes

* Sat Dec 20 2008 Pascal Bleser <guru@unixtech.be> 4.07
- moved to openSUSE Build Service
- scrapped old %changelog entries
- update to 4.07:
  * this release contains minor bugfixes involving the save-as dialog

* Sun Dec  7 2008 Pascal Bleser <guru@unixtech.be> 4.06-0.pm.1
- update to 4.06:
  * fixes AV version detection

* Fri Nov 28 2008 Pascal Bleser <guru@unixtech.be> 4.05-0.pm.1
- update to 4.05:
  * adds several minor bugfixes
  * updates the Slovene and Italian language files

* Sun Nov 16 2008 Pascal Bleser <guru@unixtech.be> 4.04-0.pm.1
- update to 4.04:
  * fixes a minor bug
  * GUI improvements
  * updates to Chinese and Swedish translations

* Mon Nov 10 2008 Pascal Bleser <guru@unixtech.be> 4.03-0.pm.1
- update to 4.03:
  * updates the Polish, French, Russian, and Brazilian language files to the
    4.x series
  * a few missing translation lines were added
  * the display of the GUI and the logs were improved

* Sun Oct 26 2008 Pascal Bleser <guru@unixtech.be> 4.02-0.pm.1
- update to 4.02:
  * bugfixes
  * updated korean translation

* Sun Oct 19 2008 Pascal Bleser <guru@unixtech.be> 4.01-0.pm.1
- update to 4.01:
  * bugfixes
  * updates README
  * updates Dutch translation

* Mon Oct 13 2008 Pascal Bleser <guru@unixtech.be> 4.00-0.pm.1
- update to 4.00
  * adds the ability of any user to maintain their own sig database and update
    them

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
